﻿@{
    ViewData["Title"] = "Friends";
}

<partial name="/Views/Shared/_ProfilePartial.cshtml" />

<section>
    <div class="gap gray-bg">
        <div class="container-fluid">
            <div class="row">
                <div class="col-lg-12">
                    <div class="row" id="page-contents">
                        <div class="col-lg-3">
                            <aside class="sidebar static">
                                <div class="widget stick-widget">
                                    <h4 class="widget-title">Who's Following</h4>
                                    <ul class="followers">
                                        <li>
                                            <figure><img src="images/resources/friend-avatar3.jpg" alt=""></figure>
                                            <div class="friend-meta">
                                                <h4><a href="time-line.html" title="">Allen</a></h4>
                                                <a href="#" title="" class="underline">Add Friend</a>
                                            </div>
                                        </li>
                                    </ul>
                                </div>
                            </aside>
                        </div>
                        <div class="col-lg-6">
                            <div class="central-meta" id="fillContainer">
                                <div class="frnds">
                                    @{ 
                                        int frCount = Enumerable.Count(ViewBag.Friends);
                                        int inCount = Enumerable.Count(ViewBag.Incoming);
                                        int outCount = Enumerable.Count(ViewBag.Outgoing);
                                    }
                                    <ul class="nav nav-tabs">
                                        <li class="nav-item"><a class="active" href="#friends" data-toggle="tab">Friends</a> <span>@frCount</span></li>
                                        <li class="nav-item"><a class="" href="#friends-in" data-toggle="tab">Incoming Requests</a><span>@inCount</span></li>
                                        <li class="nav-item"><a class="" href="#friends-out" data-toggle="tab">Outgoing Requests</a><span>@outCount</span></li>
                                    </ul>
                                    <div class="tab-content">
                                        <div id="friends" class="tab-pane fade active show">
                                            <ul class="nearby-contct">
                                                @if (frCount == 0)
                                                {
                                                    <li>
                                                        <div class="nearly-pepls">
                                                            <div class="pepl-info">
                                                                <h4>You have no friends. <a asp-controller="User" asp-action="Search"><font color="#0085FF">Find someone you know?</font></a></h4>
                                                            </div>
                                                        </div>
                                                    </li>
                                                }
                                                else
                                                {
                                                    foreach (UserViewModel friend in ViewBag.Friends)
                                                    {
                                                        <li>
                                                            <div class="nearly-pepls">
                                                                <figure>
                                                                    <a asp-controller="User" asp-action="Index" asp-route-id="@friend.Id" title="">
                                                                        <img src="@Url.Action("GetImage", "Home", new { userId = friend.Id})" onerror='this.src="/images/profile-icon.png"' alt="">
                                                                    </a>
                                                                </figure>
                                                                <div class="pepl-info">
                                                                    <h4><a asp-controller="User" asp-action="Index" asp-route-id="@friend.Id" title="">@friend.FirstName @friend.LastName</a></h4>
                                                                    <a href="#" onclick='ajaxFriendRequest(@friend.Id, "Unfriend")' class="add-butn" data-ripple="">Unfriend</a>
                                                                </div>
                                                            </div>
                                                        </li>
                                                    }
                                                }
                                            </ul>
                                        </div>
                                        <div id="friends-in" class="tab-pane fade">
                                            <ul class="nearby-contct">
                                                @if (inCount == 0)
                                                {
                                                    <li>
                                                        <div class="nearly-pepls">
                                                            <div class="pepl-info">
                                                                <h4>No Incoming Requests. <a asp-controller="User" asp-action="Search"><font color="#0085FF">Find someone you know?</font></a></h4>
                                                            </div>
                                                        </div>
                                                    </li>
                                                }
                                                else
                                                {
                                                    foreach (FriendRequestViewModel request in ViewBag.Incoming)
                                                    {
                                                        <li>
                                                            <div class="nearly-pepls">
                                                                <figure>
                                                                    <a asp-controller="User" asp-action="Index" asp-route-id="@request.SenderId" title="">
                                                                        <img src="@Url.Action("GetImage", "Home", new { userId = request.SenderId})" onerror='this.src="/images/profile-icon.png"' alt="">
                                                                    </a>
                                                                </figure>
                                                                <div class="pepl-info">
                                                                    <h4><a asp-controller="User" asp-action="Index" asp-route-id="@request.SenderId" title="">@request.SenderFullName</a></h4>
                                                                    <a href="#" onclick='ajaxFriendRequest(@request.Id, "RejectRequest")' class="add-butn more-action" data-ripple="">Reject</a>
                                                                    <a href="#" onclick='ajaxFriendRequest(@request.Id, "AcceptRequest")' class="add-butn" data-ripple="">Accept</a>
                                                                </div>
                                                            </div>
                                                        </li>
                                                    }
                                                }
                                            </ul>
                                        </div>
                                        <div id="friends-out" class="tab-pane fade">
                                            <ul class="nearby-contct">
                                                @if (outCount == 0)
                                                {
                                                    <li>
                                                        <div class="nearly-pepls">
                                                            <div class="pepl-info">
                                                                <h4>No Outgoing Requests. <a asp-controller="User" asp-action="Search"><font color="#0085FF">Find someone you know?</font></a></h4>
                                                            </div>
                                                        </div>
                                                    </li>
                                                }
                                                else
                                                {
                                                    foreach (FriendRequestViewModel request in ViewBag.Outgoing)
                                                    {
                                                        <li>
                                                            <div class="nearly-pepls">
                                                                <figure>
                                                                    <a asp-controller="User" asp-action="Index" asp-route-id="@request.ReceiverId" title="">
                                                                        <img src="@Url.Action("GetImage", "Home", new { userId = request.ReceiverId})" onerror='this.src="/images/profile-icon.png"' alt="">
                                                                    </a>
                                                                </figure>
                                                                <div class="pepl-info">
                                                                    <h4><a asp-controller="User" asp-action="Index" asp-route-id="@request.ReceiverId" title="">@request.ReceiverFullName</a></h4>
                                                                    <a href="#" onclick='ajaxFriendRequest(@request.Id, "CancelRequest")' class="add-butn" data-ripple="">Cancel Request</a>
                                                                </div>
                                                            </div>
                                                        </li>
                                                    }
                                                }
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>